- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Retrieves runtime NAT IP information.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/routers/{router}/getNatIpInfo The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region for this request. |
router |
Name of the Router resource to query for Nat IP information. The name should conform to RFC1035. |
Query parameters
| Parameters | |
|---|---|
natName |
Name of the nat service to filter the NAT IP information. If it is omitted, all nats for this router will be returned. Name should conform to RFC1035. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "result": [ { "natName": string, "natIpInfoMappings": [ { "natIp": string, "usage": enum, "mode": enum } ] } ] } |
| Fields | |
|---|---|
result[] |
Output only. A list of NAT IP information. |
result[].natName |
Output only. Name of the NAT config which the NAT IP belongs to. |
result[].natIpInfoMappings[] |
Output only. A list of all NAT IPs assigned to this NAT config. |
result[].natIpInfoMappings[].natIp |
Output only. NAT IP address. For example: 203.0.113.11. |
result[].natIpInfoMappings[].usage |
Output only. Specifies whether NAT IP is currently serving at least one endpoint or not. |
result[].natIpInfoMappings[].mode |
Output only. Specifies whether NAT IP is auto or manual. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.routers.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.